> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qonto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SEPA transfer

> OAuth scope: `organization.read`

Retrieves a specific SEPA transfer by ID.




## OpenAPI

````yaml GET /v2/sepa/transfers/{id}
openapi: 3.1.1
info:
  version: v2
  title: Qonto
servers:
  - url: https://thirdparty.qonto.com
    description: Production URL
  - url: https://thirdparty-sandbox.staging.qonto.co
    description: Sandbox URL
security:
  - OAuth:
      - organization.read
      - membership.read
      - membership.write
      - attachment.write
      - internal_transfer.write
      - payment.write
      - supplier_invoice.write
      - supplier_invoice.read
      - client_invoices.read
      - client_invoice.write
      - client.read
      - client.write
      - product.read
      - product.write
      - request_review.write
      - request_review.read
      - team.read
      - team.write
      - request_transfers.write
      - insurance_contract.read
      - insurance_contract.write
      - card.read
      - card.write
      - bank_account.write
      - beneficiary.trust
      - webhook
      - payment_link.write
      - payment_link.read
      - sepa_direct_debit.read
      - sepa_direct_debit.write
      - terminal.read
      - terminal.write
  - SecretKey: []
paths:
  /v2/sepa/transfers/{id}:
    parameters:
      - $ref: '#/components/parameters/X-Qonto-Staging-Token'
    get:
      tags:
        - SEPA Transfers
      summary: Get SEPA transfer
      description: |
        OAuth scope: `organization.read`

        Retrieves a specific SEPA transfer by ID.
      operationId: getSepaTransfer
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: ID of the SEPA transfer
      responses:
        '200':
          description: SEPA transfer retrieved successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - transfer
                properties:
                  transfer:
                    $ref: '#/components/schemas/SepaTransfer'
        '401':
          $ref: '#/components/responses/401-Unauthorized'
          description: Unauthorized
        '403':
          $ref: '#/components/responses/403-Forbidden'
          description: Forbidden
        '404':
          $ref: '#/components/responses/404-Not-Found'
      security:
        - OAuth:
            - organization.read
        - SecretKey: []
components:
  parameters:
    X-Qonto-Staging-Token:
      name: X-Qonto-Staging-Token
      in: header
      description: >-
        Required only for Sandbox API requests; to get one, please sign up to
        the [Developer Portal](https://developers.qonto.com/).
      schema:
        type: string
  schemas:
    SepaTransfer:
      type: object
      required:
        - id
        - initiator_id
        - amount
        - amount_cents
        - amount_currency
        - beneficiary_id
        - status
        - scheduled_date
        - created_at
        - updated_at
        - bank_account_id
        - reference
        - note
        - declined_reason
        - processed_at
        - completed_at
        - transaction_id
        - recurring_transfer_id
      properties:
        id:
          type: string
          format: uuid
        initiator_id:
          type: string
          format: uuid
          description: ID of the membership that initiated the transfer
        bank_account_id:
          type: string
          format: uuid
          description: ID of the bank account to debit from
        amount:
          type: number
          format: float
          example: 1100.5
        amount_cents:
          type: integer
          example: 110050
        amount_currency:
          type: string
          enum:
            - EUR
        status:
          type: string
          enum:
            - pending
            - processing
            - canceled
            - declined
            - settled
          description: >-
            Can contain the following values:

            * `pending`: SEPA transfer is created and has not been processed
            yet. If transfer is not processed within next minute, it means
            either execution date may not been reached yet or we are running
            some compliance checks on this transfer.

            * `processing`: SEPA transfer processing means account balance is
            debited and a transaction has been created. Processing status can
            last up to multiple hours until transfer is sent in the network to
            the beneficiary.

            * `canceled`: When the SEPA transfer is canceled by a user in the
            interface. This is a permanent status.

            * `declined`: When the SEPA transfer is declined by the screening
            service, fraud service or, once sent on the network, for many
            various reasons which are listed in [those
            guidelines](https://www.europeanpaymentscouncil.eu/sites/default/files/kb/file/2023-11/EPC135-18%20v5.0%20Guidance%20on%20Reason%20Codes%20for%20SCT%20R-transactions.pdf).
            This is a permanent status.

            * `settled`: When the SEPA transfer is sent to the network, transfer
            is settled. This is a permanent status.
          example: pending
        beneficiary_id:
          type: string
          format: uuid
        reference:
          type: string
          example: Lease payment
        note:
          type:
            - string
            - 'null'
          example: Lease payment for offices in Paris
        declined_reason:
          type:
            - string
            - 'null'
          enum:
            - beneficiary_bic_invalid
            - beneficiary_iban_invalid
            - beneficiary_status
            - beneficiary_network_rules_error
            - organisation_compliance_reasons
            - debit_account_insufficient_funds
            - qonto_processing_failed
            - null
          description: >-
            Populated only when transfer status is declined. Possible values:
            `beneficiary_bic_invalid`, `beneficiary_iban_invalid`,
            `beneficiary_status`, `beneficiary_network_rules_error`,
            `organisation_compliance_reasons`,
            `debit_account_insufficient_funds`, `qonto_processing_failed`.
        scheduled_date:
          type: string
          format: date
          description: >-
            YYYY-MM-DD, indicates when the external transfer was scheduled to be
            sent by Qonto.
        created_at:
          type: string
          format: date-time
          example: '2025-04-22T12:00:00Z'
          description: UTC, the time at which the external transfer was first recorded.
        updated_at:
          type: string
          format: date-time
          example: '2025-04-22T12:00:00Z'
          description: UTC, the time at which the external transfer was last updated.
        processed_at:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            UTC, when the external transfer has been started to be processed by
            Qonto.
          example: '2025-04-22T12:00:00Z'
        completed_at:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            UTC, when the external transfer is in its final state, either
            settled or declined.
          example: '2025-04-22T12:00:00Z'
        transaction_id:
          type:
            - string
            - 'null'
          format: uuid
          description: The ID of the transaction associated with the transfer.
        recurring_transfer_id:
          type:
            - string
            - 'null'
          format: uuid
          description: The ID of the recurring transfer associated with the transfer.
    UnauthorizedResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/UnauthorizedError'
      required:
        - errors
    ForbiddenResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ForbiddenError'
      required:
        - errors
    NotFoundError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
        source:
          type: object
          properties:
            parameter:
              type: string
              description: The parameter that causes the error.
      required:
        - code
        - detail
      x-examples:
        Object not found:
          code: not_found
          detail: Object not found
          source:
            parameter: id
    UnauthorizedError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Invalid credentials:
          code: unauthorized
          detail: Invalid credentials
    ForbiddenError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Insufficient permissions:
          code: forbidden
          detail: User does not have sufficient permissions for this action.
  responses:
    401-Unauthorized:
      description: Returns an unauthorized error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedResponseBody'
          examples:
            authorization_header_missing:
              value:
                errors:
                  - code: authorization_header_missing
                    detail: authorization header missing
            authorization_token_invalid:
              value:
                errors:
                  - code: authorization_token_invalid
                    detail: authorization token invalid
    403-Forbidden:
      description: Returns a forbidden error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ForbiddenResponseBody'
          examples:
            Insufficient permissions:
              value:
                errors:
                  - code: forbidden
                    detail: User does not have sufficient permissions for this action.
    404-Not-Found:
      description: Returns a not found error.
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  $ref: '#/components/schemas/NotFoundError'
  securitySchemes:
    OAuth:
      type: oauth2
      description: >
        Bearer authorization header: `Bearer <token>`, where `<token>` is the
        access token received from the authorization server at the end of the
        [OAuth 2.0
        flow](/get-started/business-api/authentication/oauth/oauth-flow).
      flows:
        authorizationCode:
          refreshUrl: https://oauth.qonto.com/oauth2/token
          authorizationUrl: https://oauth.qonto.com/oauth2/auth
          scopes:
            attachment.read: Retrieve attachments
            attachment.write: Upload attachments and remove attachments from transactions
            bank_account.write: Create, update and close bank accounts
            beneficiary.trust: Trust SEPA beneficiaries
            card.read: Retrieve cards
            card.write: Create or update cards
            client.read: Retrieve clients
            client.write: Create clients
            client_invoice.write: Create client invoices
            client_invoices.read: Retrieve client invoices and credit notes
            einvoicing.read: Retrieve e-invoicing settings
            embed_auth_link.write: Create Embed auth links
            insurance_contract.read: Retrieve insurance contracts
            insurance_contract.write: Create and update insurance contracts
            internal_transfer.write: >-
              Create internal transfers (between 2 Qonto accounts of the same
              organization)
            international_transfer.write: Create international transfers
            membership.read: Retrieve the authentified membership
            membership.write: Invite team members
            offline_access: Retrieve a refresh token
            organization.read: >-
              Retrieve organization, bank accounts, transactions, transfers,
              beneficiaries, labels, memberships, requests & statements
            payment.write: Create external transfers and untrust beneficiaries
            payment_link.read: >-
              Retrieve payment links, their payments, and the available payment
              methods
            payment_link.write: >-
              Connect to the payment links provider, create and deactivate
              payment links
            product.read: Retrieve products
            product.write: Create products
            request_cards.write: Create card requests
            request_review.write: Approve or decline requests
            request_transfers.write: Create transfer requests
            sepa_direct_debit.read: View SEPA Direct Debit payments
            sepa_direct_debit.write: Manage SEPA Direct Debit payments
            supplier_invoice.read: Retrieve supplier invoices
            supplier_invoice.write: Create supplier invoices
            team.read: Retrieve teams
            team.write: Create teams
            terminal.read: View your payment terminals
            terminal.write: Configure your terminals and initiate payments
            webhook: >-
              Receive a notification each time a particular event occurs in
              Qonto
          tokenUrl: https://oauth.qonto.com/oauth2/token
    SecretKey:
      type: apiKey
      description: cf. [API key](/get-started/business-api/authentication/api-key)
      name: Authorization
      in: header

````